<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="2.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:e="http://www.cambiumnetworks.com/engineering">

 <xsl:output method="html"/>
 
 <xsl:variable name="cambiumblue">#003d79</xsl:variable>
 
 <xsl:template match="/">
   <html>
     <head>
       <title>Canopy Capture</title>
      </head>
     <body>
       <div class="main">
         <xsl:apply-templates />
       </div>
     </body>
   </html>
 </xsl:template>
 
 <xsl:template match="e:category">
   <div class="category">
     <h1><xsl:value-of select="e:text"/></h1>
     <xsl:apply-templates select="e:page"/>
   </div>
 </xsl:template>
 
 <xsl:template match="e:page">
   <div class="page">
     <h2><xsl:value-of select="e:text"/></h2>
     <xsl:apply-templates select="e:section"/>
   </div>
 </xsl:template>
 
 <xsl:template match="e:section">
   <div class="section">
     <table>
      <xsl:attribute name="style">border-style: dashed; width: 100%; border-width: thin; border-color: <xsl:value-of select="$cambiumblue"/></xsl:attribute>
      <tr>    
          <td colspan="2">
          	<xsl:attribute name="style">background-color:<xsl:value-of select="$cambiumblue"/>;color:white;</xsl:attribute>
                <h3><xsl:value-of select="e:text"/></h3>
          </td>
     </tr> 

     <xsl:apply-templates select="e:item[not(@sibling) or @sibling!='true']" />
     
     </table> <br />
   </div>
 </xsl:template>
 
 <xsl:template match="e:item[not(@sibling) or @sibling!='true']">    
   <tr> 
   	 <xsl:attribute name="style">text-align: left; border-width: thin; border-style: dotted; border-color: <xsl:value-of select="$cambiumblue"/></xsl:attribute>

     <xsl:if test="@type != 'log' and @type != 'action' and @type !='input' and @type !='gzip'">
       <td width="20%">
         <strong><xsl:value-of select="e:text"/></strong>
       </td>       
     </xsl:if>

     <td>       
       <xsl:choose>
         <xsl:when test="@type = 'log' or @type = 'gzip' or @type = 'action' or @type='input'">
           <xsl:attribute name="colspan">
             2
           </xsl:attribute>
           <xsl:attribute name="width">
             100%
           </xsl:attribute>
         </xsl:when>
         <xsl:otherwise>
           <xsl:attribute name="width">
             80%            
           </xsl:attribute>
         </xsl:otherwise>
       </xsl:choose>
       
       <xsl:attribute name="align">
         <xsl:choose>
           <xsl:when test="@type != 'action'">left</xsl:when>
           <xsl:otherwise>center</xsl:otherwise>
         </xsl:choose>
       </xsl:attribute>
       
       <xsl:if test="@type = 'action'">
         <input type="submit" >
           <xsl:attribute name="value">
             <xsl:value-of select="e:text" />
           </xsl:attribute>
         </input>
       </xsl:if>
       
       <xsl:choose>
       	<xsl:when test="@type!='input'">
       		<xsl:if test="@type!='action'">
       			<xsl:value-of select="e:value" disable-output-escaping="yes"/>
       		</xsl:if>
       		<xsl:apply-templates select="e:custom" />
       		<xsl:apply-templates select="following-sibling::e:item[@sibling='true' and position()=1]" />
       	</xsl:when>
       	<xsl:otherwise>
       		<xsl:value-of select="@name" />&#8656;<xsl:value-of select="e:text" />
       	</xsl:otherwise>
       </xsl:choose>
       
     </td>  
     
   </tr>     
 </xsl:template>
 
 <xsl:template match="e:custom">     
    <SELECT>
      <xsl:copy-of select="./*" />
    </SELECT>
 </xsl:template>
 
 <xsl:template match="e:item[@sibling='true']">
 	<xsl:choose>
      <xsl:when test="@type = 'action'">
         <input type="submit" >
           <xsl:attribute name="value">
             <xsl:value-of select="e:text" />
           </xsl:attribute>
         </input>
      </xsl:when>
      <xsl:otherwise>
   		<xsl:value-of select="e:text" />
   		<xsl:value-of select="e:value" disable-output-escaping="yes" />
   	  </xsl:otherwise>
   </xsl:choose>
   
   <xsl:comment>Keep going to the the next sibling until we reach one that is not one </xsl:comment>
   <xsl:apply-templates select="following-sibling::e:item[@sibling='true' and position()=1]" />
 </xsl:template>

</xsl:stylesheet>